keystone (2:13.0.4-4~u16.04+mcp51) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 09b44c3a5 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Zuul ]
  * 36e65cc4c Merge "Retry update_user when sqlalchemy raises
    StaleDataErrors" into stable/queens

  [ MCP Jenkins ]
  * 20a6f7a0c Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * ebc3f805f Retry update_user when sqlalchemy raises StaleDataErrors

  [ Ghanshyam Mann ]
  * 03b4e3975 Pin keystone-tempest-plugin for py27 compatibility

  [ Gage Hugo ]
  * 703c70827 Hide AccountLocked exception from end users

  [ Pavlo Shchelokovskyy ]
  * acb48f136 Ensure catalog is present in token validation response

  [ MCP Jenkins ]
  * 5403c4012 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 0153ab781 Filter by entity_type in get_domain_mapping_list
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 23 Oct 2021 06:55:35 +0000

keystone (2:13.0.4-4~u16.04+mcp48) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 20a6f7a0c Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Ghanshyam Mann ]
  * 03b4e3975 Pin keystone-tempest-plugin for py27 compatibility

  [ Gage Hugo ]
  * 703c70827 Hide AccountLocked exception from end users

  [ Pavlo Shchelokovskyy ]
  * acb48f136 Ensure catalog is present in token validation response

  [ MCP Jenkins ]
  * 5403c4012 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 0153ab781 Filter by entity_type in get_domain_mapping_list
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 22 Sep 2021 06:55:37 +0000

keystone (2:13.0.4-4~u16.04+mcp46) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Gage Hugo ]
  * 703c70827 Hide AccountLocked exception from end users

  [ Pavlo Shchelokovskyy ]
  * acb48f136 Ensure catalog is present in token validation response

  [ MCP Jenkins ]
  * 5403c4012 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 0153ab781 Filter by entity_type in get_domain_mapping_list
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 18 Aug 2021 15:13:14 +0000

keystone (2:13.0.4-4~u16.04+mcp45) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * acb48f136 Ensure catalog is present in token validation response

  [ MCP Jenkins ]
  * 5403c4012 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 0153ab781 Filter by entity_type in get_domain_mapping_list
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 29 Jul 2021 07:44:33 +0000

keystone (2:13.0.4-4~u16.04+mcp44) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 5403c4012 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 0153ab781 Filter by entity_type in get_domain_mapping_list
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 20 Nov 2020 06:56:37 +0000

keystone (2:13.0.4-4~u16.04+mcp42) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * af373cb42 Do not remove domain hints prematurely

  [ Gage Hugo ]
  * 23e775e9c Refactor _handle_shadow_and_local_users

  [ MCP Jenkins ]
  * 01c5211cb Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5ee4 Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82d9 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * 487c7276c Fix security issues with EC2 credentials
  * fac58fdfb Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea31a Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Colleen Murphy ]
  * b25739fa9 Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd1b Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809a1 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef042 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be1562 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179ae Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 8c6c538d6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 0abdf0d63 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * dc68b4240 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 7843c8a63 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b2a Incorrect behavior of validate_password method
  * 761bf5d69 Bandit version capped

  [ MCP Jenkins ]
  * 9eaf8564c Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * d9453babc Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 26b90157b Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * ee16c37ad Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d45 Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3b6 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77a2 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 1622acac9 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * cdfd6d857 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 3f96aeba6 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 685919810 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * e99940dc0 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 92bd0c037 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c09 Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357e7 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0a5 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1fd Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd72 Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc96463 Merge the tip of origin/stable/queens into
    origin/mcp/queens
  * 25802f086 Merge the tip of origin/stable/queens into
    origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd88092 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b61 Merge the tip of origin/stable/queens into
    origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 04 Sep 2020 11:20:11 +0000

keystone (2:13.0.4-4~u16.04+mcp40) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 01c5211 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Nathan Oyler ]
  * 654dd5e Add cadf auditing to credentials

  [ MCP Jenkins ]
  * bdefe82 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * 487c727 Fix security issues with EC2 credentials
  * fac58fd Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea3 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * b25739f Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be15 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 30 May 2020 06:55:32 +0000

keystone (2:13.0.4-4~u16.04+mcp38) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * bdefe82 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * 487c727 Fix security issues with EC2 credentials
  * fac58fd Ensure OAuth1 authorized roles are respected

  [ MCP Jenkins ]
  * 35c5ea3 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * b25739f Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be15 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 15 May 2020 06:55:40 +0000

keystone (2:13.0.4-4~u16.04+mcp35) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 35c5ea3 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * b25739f Check timestamp of signed EC2 token request

  [ MCP Jenkins ]
  * 2e89acd Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be15 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 14 May 2020 06:55:38 +0000

keystone (2:13.0.4-4~u16.04+mcp33) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 2e89acd Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 0cbf809 Ensure bootstrap handles multiple roles with the same name

  [ MCP Jenkins ]
  * f1e6ef0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be15 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 18 Mar 2020 06:55:41 +0000

keystone (2:13.0.4-4~u16.04+mcp31) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * f1e6ef0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jose Castro Leon ]
  * 578be15 Allows to use application credentials through group
    membership

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 15 Nov 2019 06:56:38 +0000

keystone (2:13.0.4-4~u16.04+mcp29) mcp; urgency=medium

  * Rebuild to remove upper cap for sqlalchemy [PROD-33866]

 -- Ivan Berezovskiy <mos-linux@mirantis.com>  Fri, 8 Nov 2019 18:28:07 +0400

keystone (2:13.0.4-3~u16.04+mcp29) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 9e87179 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 8c6c538 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 0abdf0d Merge the tip of origin/stable/queens into origin/mcp/queens
  * dc68b42 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 7843c8a Merge the tip of origin/stable/queens into origin/mcp/queens

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 01 Nov 2019 06:56:21 +0000

keystone (2:13.0.2-3~u16.04+mcp32) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ BubaVV ]
  * c3f8a1b Incorrect behavior of validate_password method
  * 761bf5d Bandit version capped

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jim Rollenhagen ]
  * c2f619b Blacklist bandit 1.6.0

  [ MCP Jenkins ]
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens

  [ OpenDev Sysadmins ]
  * e4c0122 OpenDev Migration Patch

  [ MCP Jenkins ]
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 0046747 Merge "Delete shadow users when domain is deleted" into
    stable/queens

  [ MCP Jenkins ]
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Colleen Murphy ]
  * 86428a6 Delete shadow users when domain is deleted

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ Ian Wienand ]
  * bb1b98b Replace openstack.org git:// URLs with https://

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 03 Jul 2019 09:08:27 +0000

keystone (2:13.0.2-3~u16.04+mcp30) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 9eaf856 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Jim Rollenhagen ]
  * c2f619b Blacklist bandit 1.6.0

  [ MCP Jenkins ]
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens

  [ OpenDev Sysadmins ]
  * e4c0122 OpenDev Migration Patch

  [ MCP Jenkins ]
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 0046747 Merge "Delete shadow users when domain is deleted" into
    stable/queens

  [ MCP Jenkins ]
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Colleen Murphy ]
  * 86428a6 Delete shadow users when domain is deleted

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ Ian Wienand ]
  * bb1b98b Replace openstack.org git:// URLs with https://

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 15 May 2019 06:55:40 +0000

keystone (2:13.0.2-3~u16.04+mcp28) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * d9453ba Merge the tip of origin/stable/queens into origin/mcp/queens

  [ OpenDev Sysadmins ]
  * e4c0122 OpenDev Migration Patch

  [ MCP Jenkins ]
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 0046747 Merge "Delete shadow users when domain is deleted" into
    stable/queens

  [ MCP Jenkins ]
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Colleen Murphy ]
  * 86428a6 Delete shadow users when domain is deleted

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ Ian Wienand ]
  * bb1b98b Replace openstack.org git:// URLs with https://

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 23 Apr 2019 06:59:32 +0000

keystone (2:13.0.2-3~u16.04+mcp26) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 26b9015 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 0046747 Merge "Delete shadow users when domain is deleted" into
    stable/queens

  [ MCP Jenkins ]
  * ee16c37 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Colleen Murphy ]
  * 86428a6 Delete shadow users when domain is deleted

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ Ian Wienand ]
  * bb1b98b Replace openstack.org git:// URLs with https://

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 16 Apr 2019 06:58:18 +0000

keystone (2:13.0.2-3~u16.04+mcp21) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Pavlo Shchelokovskyy ]
  * 1db833d Handle PasswordExpired in bootstrap

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 09 Apr 2019 13:41:31 +0000

keystone (2:13.0.2-3~u16.04+mcp20) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Oleksiy Petrenko ]
  * a1604c3 Fix keystone bootstrap

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 29 Mar 2019 07:36:19 +0000

keystone (2:13.0.2-3~u16.04+mcp19) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 348fd77 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Gage Hugo ]
  * 0161ffa Set initiator id as user_id for auth events

  [ MCP Jenkins ]
  * 1622aca Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * a6703df Remove publish-loci post job

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 21 Mar 2019 06:57:53 +0000

keystone (2:13.0.2-3~u16.04+mcp15) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * cdfd6d8 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Lance Bragstad ]
  * 3418563 Update the RDO installation guide to use port 5000

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Fri, 23 Nov 2018 06:57:02 +0000

keystone (2:13.0.1-3~u16.04+mcp18) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 3f96aeb Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * db14ee2 Invalidate app cred AFTER deletion

  [ MCP Jenkins ]
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 31a0818 Merge "Mapped Groups don't exist breaks WebSSO" into
    stable/queens

  [ MCP Jenkins ]
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Vishakha Agarwal ]
  * c1e96d4 LDAP attribute names non-case-sensitive
  * c4e48ef Mapped Groups don't exist breaks WebSSO

  [ MCP Jenkins ]
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 7693b84 import zuul job settings from project-config

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 30 Oct 2018 06:57:05 +0000

keystone (2:13.0.1-3~u16.04+mcp16) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 6859198 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 31a0818 Merge "Mapped Groups don't exist breaks WebSSO" into
    stable/queens

  [ MCP Jenkins ]
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Vishakha Agarwal ]
  * c1e96d4 LDAP attribute names non-case-sensitive
  * c4e48ef Mapped Groups don't exist breaks WebSSO

  [ MCP Jenkins ]
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 7693b84 import zuul job settings from project-config

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sun, 21 Oct 2018 06:55:59 +0000

keystone (2:13.0.1-3~u16.04+mcp13) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * e99940d Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Vishakha Agarwal ]
  * c1e96d4 LDAP attribute names non-case-sensitive

  [ MCP Jenkins ]
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 7693b84 import zuul job settings from project-config

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 03 Oct 2018 06:56:52 +0000

keystone (2:13.0.1-3~u16.04+mcp11) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 92bd0c0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Doug Hellmann ]
  * 7693b84 import zuul job settings from project-config

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 11 Sep 2018 06:56:43 +0000

keystone (2:13.0.1-3~u16.04+mcp9) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ Andrey Volkov ]
  * 237538c Merge "Filter by entity_type in get_domain_mapping_list"
    into mcp/queens

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Pavlo Shchelokovskyy ]
  * f9be4a0 Filter by entity_type in get_domain_mapping_list

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Tue, 07 Aug 2018 11:59:10 +0000

keystone (2:13.0.1-3~u16.04+mcp7) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 0336357 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 28 Jul 2018 06:57:10 +0000

keystone (2:13.0.0-3~u16.04+mcp1) mcp; urgency=medium

  * Rebuild packages.

 -- Ivan Udovichenko <oscore-eng@mirantis.com>  Fri, 29 Jun 2018 15:10:04 +0300

keystone (2:13.0.0-2~u16.04+mcp16) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP CI Mirroring ]
  * b2afda1 Merge "Merge the tip of origin/stable/queens into
    origin/mcp/queens" into mcp/queens

  [ Pavlo Shchelokovskyy ]
  * 7e2fdfd Merge "Allow blocking users from self-service password
    change" into mcp/queens

  [ MCP Jenkins ]
  * c9bc964 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Colleen Murphy ]
  * 4ca0172 Update RDO install guide for v3

  [ MCP Jenkins ]
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 56d1088 Merge "Fix assert test error under py3.6" into stable/queens

  [ Morgan Fainberg ]
  * 58bd880 Allow blocking users from self-service password change

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 7bd6454 Fix json schema nullable to add None to ENUM

  [ wangxiyuan ]
  * e1f92ef Fix assert test error under py3.6

  [ OpenStack Proposal Bot ]
  * c1d81ef Imported Translations from Zanata

  [ Zuul ]
  * 7d88d12 Merge "Remove @expression from tags" into stable/queens

  [ Colleen Murphy ]
  * 8625f60 Add release note for keystone v2 removal

  [ Gage Hugo ]
  * b98748c Remove @expression from tags

  [ Zuul ]
  * c06d74f Merge "Remove v2.0 policies" into stable/queens

  [ Lance Bragstad ]
  * 0204700 Remove v2.0 policies

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Wed, 09 May 2018 12:58:25 +0000

keystone (2:13.0.0-2~u16.04+mcp1) mcp; urgency=medium

  * Do not enable Apache2 vhosts. (PROD-19690)

 -- Ivan Udovichenko <oscore-eng@mirantis.com>  Tue, 08 May 2018 19:54:44 +0300

keystone (2:13.0.0-1.0~u16.04+mcp11) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * 25802f0 Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Zuul ]
  * 56d1088 Merge "Fix assert test error under py3.6" into stable/queens

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 7bd6454 Fix json schema nullable to add None to ENUM

  [ wangxiyuan ]
  * e1f92ef Fix assert test error under py3.6

  [ OpenStack Proposal Bot ]
  * c1d81ef Imported Translations from Zanata

  [ Zuul ]
  * 7d88d12 Merge "Remove @expression from tags" into stable/queens

  [ Colleen Murphy ]
  * 8625f60 Add release note for keystone v2 removal

  [ Gage Hugo ]
  * b98748c Remove @expression from tags

  [ Zuul ]
  * c06d74f Merge "Remove v2.0 policies" into stable/queens

  [ Lance Bragstad ]
  * 0204700 Remove v2.0 policies

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Thu, 03 May 2018 12:56:22 +0000

keystone (2:13.0.0-1.0~u16.04+mcp8) mcp; urgency=medium

  [ "MCP CI" ]
  * Autobuild new code

  [ MCP Jenkins ]
  * d33435b Merge the tip of origin/stable/queens into origin/mcp/queens

  [ Morgan Fainberg ]
  * 7bd6454 Fix json schema nullable to add None to ENUM

  [ OpenStack Proposal Bot ]
  * c1d81ef Imported Translations from Zanata

  [ Zuul ]
  * 7d88d12 Merge "Remove @expression from tags" into stable/queens

  [ Colleen Murphy ]
  * 8625f60 Add release note for keystone v2 removal

  [ Gage Hugo ]
  * b98748c Remove @expression from tags

  [ Zuul ]
  * c06d74f Merge "Remove v2.0 policies" into stable/queens

  [ Lance Bragstad ]
  * 0204700 Remove v2.0 policies

 -- "MCP CI" <"mcp-ci-jenkins@ci.mcp.mirantis.net">  Sat, 21 Apr 2018 13:05:05 +0000

keystone (2:13.0.0-1.0~u16.04+mcp2) mcp; urgency=medium

  * d/control: Update maintainer.

 -- Ivan Udovichenko <mos-linux@mirantis.com>  Wed, 18 Apr 2018 11:47:03 +0300

keystone (2:13.0.0-1.0~u16.04+mcp1) mcp; urgency=medium

  * Source: http://ubuntu-cloud.archive.canonical.com/ubuntu/pool/
            main/k/keystone/keystone_13.0.0-0ubuntu1~cloud0.dsc
  * Update python-cryptography requirement to >= 2.0.2
    Change-Ids: Ib61b5b0787743e4bc5329900d9415f49a9b5776e
                Ib61b5b0787743e4bc5329900d9415f49a9b5776e

 -- Ivan Udovichenko <mos-linux@mirantis.com>  Wed, 04 Apr 2018 22:11:39 +0300

keystone (2:13.0.0-0ubuntu1~cloud0) xenial-queens; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 28 Feb 2018 22:13:33 +0000

keystone (2:13.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Feb 2018 14:24:54 -0500

keystone (2:13.0.0~rc2-0ubuntu1) bionic; urgency=medium

  * New upstream release candidate for OpenStack Queens.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Feb 2018 16:07:25 -0500

keystone (2:13.0.0~rc1-0ubuntu1) bionic; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Drop admin port (35357) from site config as ports 35357
    and 5000 lead to the same authentication code path with keystone v3.

  [ James Page ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to python3-sphinx.
  * d/p/*: Refresh.
  * d/p/msgpack-python-compat.patch,drop-msgpack-from-requirements.patch:
    Revert to use of msgpack-python module name until transition to
    msgpack is underway.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Feb 2018 10:11:45 +0000

keystone (2:13.0.0~b3-0ubuntu1) bionic; urgency=medium

  [ James Page ]
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-msgpack-from-requirements.patch: Added patch to prevent
    pkg_resources.DistributionNotFound error.
  * d/rules: Set PYTHONPATH to pick up keystone modules when running tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 09:53:46 -0500

keystone (2:13.0.0~b2-0ubuntu1) bionic; urgency=medium

  * d/watch: Scope to 13.x series.
  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control,compat: Bump debhelper compat to 10, drop BD on dh-
    systemd.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 12:08:31 +0000

keystone (2:13.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Drop, no longer needed.
  * d/keystone.install: Install files from python data_files locations.

 -- James Page <james.page@ubuntu.com>  Thu, 16 Nov 2017 08:26:59 +0000

keystone (2:12.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Aug 2017 09:29:33 -0400

keystone (2:12.0.0~rc2-0ubuntu2) artful; urgency=medium

  * d/keystone.postinst: Drop db sync (LP: #1713059).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 29 Aug 2017 11:21:44 -0400

keystone (2:12.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Aug 2017 09:19:48 -0400

keystone (2:12.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Aug 2017 17:08:28 -0400

keystone (2:12.0.0~b3-0ubuntu2) artful; urgency=medium

  * d/control: Set min python-requests to 2.14.2.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Aug 2017 16:18:38 -0400

keystone (2:12.0.0~b3-0ubuntu1) artful; urgency=medium

  * d/control: Drop python-oslosphinx and add python-openstackdocstheme.
  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.
  * d/p/update-babel-requirement.txt: Allow Babel==2.4.0. The patch that
    allows both dash and underscore separated locale identifiers in
    profiles has been cherry-picked to the 2.4.0 package version in
    Ubuntu, therefore it no longer needs to be blacklisted.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 28 Jul 2017 15:17:44 -0400

keystone (2:12.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.
  * d/control: Bump minimum migration version to 0.11.0.
  * d/rules,control,keystone.conf.dist: Refactor defaults management
    to use crudini.
  * d/control: Add bcrypt and scrypt dependencies.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Refresh
  * d/control: Bumped Standards-Version to 3.9.8, no changes.

 -- James Page <james.page@ubuntu.com>  Tue, 13 Jun 2017 13:07:59 +0100

keystone (2:12.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:06:01 +0100

keystone (2:12.0.0~b1-0ubuntu1) artful; urgency=medium

  [ Corey Bryant ]
  * d/keystone.conf: Fix typo in combined log format (LP: #1671509).

  [ Chuck Short ]
  * d/rules: Cleanup a bit:
    + Remove deprectated get-orig-source.
    + Remove patching configuration files while running tests.
    + Use pkgos-fix-config-default to configure keystone.conf
  * d/patches/sql-connection.patch: Dropped no longer needed.
  * d/patches/ubuntu-test-overrides.patch: Dropped no longer needed.
  * d/patches/default-log-dir.patch: Dropped no longer needed.
  * d/patches/add-version-info.patch: Refreshed.

  [ James Page ]
  * Align (Build-)Depends with upstream milestone.
  * d/rules,keystone.install: Generate and install default policy.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 11:38:52 +0100

keystone (2:11.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for Openstack Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 22 Feb 2017 10:03:19 -0500

keystone (2:11.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 09:52:15 -0500

keystone (2:11.0.0~b3-0ubuntu1) zesty; urgency=medium

  * d/control: Align (Build-)Depends with upstream.
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 09:31:35 -0500

keystone (2:11.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Align python-passlib with upstream.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/add-version-info.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:32:41 -0500

keystone (2:11.0.0~b1-0ubuntu3) zesty; urgency=medium

  * debian/patches/add-missing-manifest.patch: Add missing manifest.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 22 Nov 2016 15:37:07 -0500

keystone (2:11.0.0~b1-0ubuntu2) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control: Remove python-ldap dependency since it
    is no longer used.
  * debian/control: Suggest python-pyldap so its consistent with
    python-ldap.

  [ Corey Bryant ]
  * d/.control: Bump python-ldappool min to 2.0.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Nov 2016 13:39:23 -0500

keystone (2:11.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/rules: Drop install of https/keystone.py. Upstream has removed
    it after deprecation in favor of keystone-wsgi-[admin|public].
  * d/control: Align python-oslo.utils with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * d/control: Drop min version of python-ldap (>= 2.4) since we have 2.4
    back to trusty and it's causing package builds to fail.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebased.
  * d/control: Align (build-)depends with upstream.
  * d/rules, d/setup-keystone-config.sh: Generate config instead of using
    hardcoded.

  [ Chuck Short ]
  * debian/control: Dropped python-coverage since its not needed
    to run unit tests. 

  [ David Della Vecchia ]
  * New upstream milestone for OpenStack Ocata.

  [ Corey Bryant ]
  * d/rules, d/setup-kleystone-config.sh, d/setup-keystone-config.sh: Dropped.
    Just use default generated keystone.conf.
  * d/logging.conf, d/rules: Dropped d/logging.conf in favor of
    etc/logging.conf.sample.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Nov 2016 13:19:45 -0500

keystone (2:10.0.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 06 Oct 2016 11:00:53 -0400

keystone (2:10.0.0~rc2-0ubuntu2) yakkety; urgency=medium

  * d/control: oslo.log min version level in global-requirements is too low,
    so set min version to upper-constraints level (LP: #1628883).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 29 Sep 2016 07:54:36 -0400

keystone (2:10.0.0~rc2-0ubuntu1) yakkety; urgency=medium

  * New upstream release candidate for OpenStack Newton.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 28 Sep 2016 13:45:15 -0400

keystone (2:10.0.0~b3-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * d/control: Add python-freezegun to BD's.

  [ Corey Bryant ]
  * d/p/*: Rebased.

  [ James Page ]
  * New upstream release.
  * d/control: Add python-ldap and python-ldappool to Suggests (LP: #1612423).

  [ Corey Bryant ]
  * d/control: Add python-pep8 to BDs.
  * New upstream version.

  [ James Page ]
  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Sep 2016 10:53:13 +0100

keystone (2:10.0.0~b2-0ubuntu2) yakkety; urgency=medium

  * d/keystone.install: Install sso_callback_template.html in /etc/keystone,
    where keystone.conf looks for it by default (LP: #1578102).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 05 Aug 2016 16:29:22 -0400

keystone (2:10.0.0~b2-0ubuntu1) yakkety; urgency=medium

  [ James Page ]
  * New upstream version.
  * d/p/*: Refresh patches.
  * d/control: Align (Build-)Depends with upstream.
  * d/rules,python-keystone.install: Add keystone tempest plugins to
    python-keystone.

  [ Corey Bryant ]
  * New upstream version.
  * d/p/*: Refresh patches.
  * d/p/add-version-info.patch: Added keystone/conf/extra_headers.py, replacing
    previous updates to keystone/common/config.py since this file has been
    broken down into more managable modules.
  * d/p/skip-test-revoke-by-audit-chain-id-chained-token.patch: Dropped. No
    longer able to recreate.
  * d/p/add-version-info.patch: Rebased.

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/*: Rebase patches.

  [ James Page ]
  * New upstream version.
  * d/control: Bump oslo.utils >= 3.15.0.

  [ Corey Bryant ]
  * New upstream milestone for OpenStack Newton.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 Jul 2016 15:36:32 -0400

keystone (2:10.0.0~b1-0ubuntu3) yakkety; urgency=medium

  * d/rules: Fix dh_install exclusions so configuration files don't
    get skipped.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Jun 2016 10:39:29 +0100

keystone (2:10.0.0~b1-0ubuntu2) yakkety; urgency=medium

  * d/keystone.apache2: Switch conf -> site as apache configuration
    is actually a set of virtual hosts, not global configuration.

 -- James Page <james.page@ubuntu.com>  Tue, 07 Jun 2016 11:11:09 +0100

keystone (2:10.0.0~b1-0ubuntu1) yakkety; urgency=medium

  [ Corey Bryant ]
  * New upstream version.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/doc-conf-git.patch: Dropped. No longer needed.
  * d/keystone.{apache2,conf,init.in}, d/control, d/rules,
    d/tests/keystone-daemon: Run keystone API under apache2 with mod_wsgi
    instead of under eventlet with keystone-all (LP: #1572283).
  * d/p/add-version-info.patch : Rebased.
  * d/p/fix-babel-requirement.txt: Drop Babel min version to 1.3 since that is
    what is currently in Ubuntu main.
  * d/rules: exclude tempest plugin tests when installing files.
  * d/p/skip-test-revoke-by-audit-chain-id-chained-token.patch: Skip
    test until upstream bug is resolved.
  * d/p/*: Rebased.

  [ James Page ]
  * d/rules: Switch to using os-testr for unit test execution.
  * d/control: Bump oslo.concurrency >= 3.8.0.
  * d/rules,keystone.install: Exclude etc/keystone from --fail-missing
    check, ensure all etc/* files are installed.

  [ David Della Vecchia ]
  * d/control: Bump oslo.utils >= 3.11.0.

  [ James Page ]
  * New upstream milestone for OpenStack Newton.
  * Align (Build-)Depends with upstream milestone.
  * d/p/fix-babel-requirement.txt: Drop, 2.3.4 now in yakkety.
  * d/p/*: Refresh.
  * d/keystone.conf: Align WSGI configuration for Apache2 with upstream
    recommendations.
  * d/control: Add runtime dependency on apache2 | httpd.
  * d/keystone.postinst: Drop pki_setup call as PKI tokens are officially
    deprecated for removal upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 06 Jun 2016 14:53:13 +0100

keystone (2:9.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 14:16:00 -0400

keystone (2:9.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:29:07 -0400

keystone (2:9.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/*: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 07 Mar 2016 15:03:28 -0500

keystone (2:9.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/doc-conf-git.patch: Drop git commands that fail sphinx-build.
  * d/p/add-version-info.patch: Update test to account for Ubuntu header.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 21 Jan 2016 14:19:06 -0500

keystone (2:9.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.
  * d/p/default-log-dir.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 16 Dec 2015 11:41:01 -0500

keystone (2:8.0.0-0ubuntu1) wily; urgency=medium

  * New upstream release for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 15 Oct 2015 12:58:56 -0400

keystone (2:8.0.0~rc2-0ubuntu1) wily; urgency=medium

  * New upstream release candidate for OpenStack Liberty.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 06 Oct 2015 11:29:02 -0400

keystone (2:8.0.0~rc1-0ubuntu1) wily; urgency=medium

  [ Corey Bryant ]
  * New upstream release candidate for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.

  [ James Page ]
  * d/watch: Update to cope with upstream rc versioning.
  * d/control: Bump minimum pbr version to 1.8.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 25 Sep 2015 09:14:16 +0100

keystone (2:8.0.0~b3-0ubuntu2) wily; urgency=medium

  * d/control: Set minimum version requirement for passlib >= 1.6.
  * d/control: Set minimum version requirement for routes >= 2.2.
  * d/control: Add BD's on ldap, ldappool and pymongo to resolve unit
    testing failures for optional features.

 -- James Page <james.page@ubuntu.com>  Fri, 11 Sep 2015 14:48:27 +0100

keystone (2:8.0.0~b3-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/add-version-info.patch: Rebased.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Sep 2015 15:58:20 -0400

keystone (2:8.0.0~b2-0ubuntu2) wily; urgency=medium

  * d/control: Add python-pymysql to (build-)depends.
  * d/keystone.install: Remove convert_to_sqlite.sh as upstream has removed it.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 27 Aug 2015 09:43:03 -0400

keystone (2:8.0.0~b2-0ubuntu1) wily; urgency=medium

  * New upstream milestone for OpenStack Liberty.
  * d/control: Align (build-)depends with upstream.
  * d/p/default-log-dir.patch: Rebased.
  * d/p/add-version-info.patch: Rebased.
  * d/p/skip-drop-fk-sqlite.patch: Dropped. Fixed upstream.
  * d/rules: Remove .eggs directory in override_dh_auto_clean.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 19 Aug 2015 11:18:08 -0400

keystone (2:8.0.0~b1-0ubuntu2) wily; urgency=medium

  * d/p/skip-drop-fk-sqlite.patch: Cherry pick fix for SQlAlchemy >= 1.0
    compatiblity from upstream VCS.

 -- James Page <james.page@ubuntu.com>  Fri, 24 Jul 2015 10:39:31 +0100

keystone (2:8.0.0~b1-0ubuntu1) wily; urgency=medium

  * New milestone for OpenStack Liberty.
    - d/control: Align with upstream dependencies and versions.
    - d/p/*: Refresh.
  * d/s/options: Ignore any changes to egg-info files.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Jun 2015 11:03:43 +0100

keystone (1:2015.1.0-0ubuntu1) vivid; urgency=medium

  * New upstream release for OpenStack kilo. (LP: #1449744)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Apr 2015 16:16:32 +0200

keystone (1:2015.1~rc1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  - New upstream milestone:
    - d/control: Align with upstream version requirements.
    - d/add-version-info.patch: Refreshed

  [ James Page ]
  * d/p/pep-0476.patch: Dropped, included upstream.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 15 Apr 2015 13:57:49 -0400

keystone (1:2015.1~b3-0ubuntu1) vivid; urgency=medium

  * d/pydist-overrides: Add overrides for oslo packages.
  * New upstream milestone:
    - d/p/*: Refreshed.
    - d/control: Align with upstream version requirements.
    - d/control: Add new dependencies on oslo-log, oslo-policy, cryptography
      and msgpack.
  * Enable federation support as now part of core pipeline:
    - d/control: Add BD on pysaml2.
    - d/p/skip-pysaml2.patch: Dropped, no longer required.
  * d/keystone.logrotate: Wildcard log file matching to ensure any keystone
    log files are rotated, irrespective of naming (LP: #1426530).
  * d/python-keystone.install: Install wsgi wrapper as this is now the
    recommended deployment option from upstream (LP: #1426462).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Mar 2015 11:15:48 +0100

keystone (1:2015.1~b2-0ubuntu4) vivid; urgency=medium

  * d/t/keystone-paste.ini,keystone-daemon: Drop autopkgtest specific ini
    file and use package supplied file instead; allow keystone daemons to
    start prior to testing for presence.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 12:39:07 +0000

keystone (1:2015.1~b2-0ubuntu3) vivid; urgency=medium

  * d/p/skip-pysaml2.patch,d/control: Drop pysaml2 from BD's, restore test
    to skip unit tests for now. Ubuntu MIR still outstanding and we need to
    fix systemd support for testing.

 -- James Page <james.page@ubuntu.com>  Mon, 16 Mar 2015 11:28:54 +0000

keystone (1:2015.1~b2-0ubuntu2) vivid; urgency=medium

  * d/control: Drop python-sqlite from BD's, as it supports optional unit
    test cases only. 

 -- James Page <james.page@ubuntu.com>  Thu, 19 Feb 2015 10:38:57 +0000

keystone (1:2015.1~b2-0ubuntu1) vivid; urgency=medium

  [ Corey Bryant ]
  * New upstream release.
    - d/control: Align with upstream dependencies.
    - d/p/fix-ubuntu-tests.patch: Dropped. Patched code has been removed.
    - d/p/sql_connection.patch: Rebased.
    - d/p/default-log-dir.patch: Rebased.
    - d/p/add-version-info.patch: Rebased.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Feb 2015 16:12:01 -0500

keystone (1:2015.1~b1-0ubuntu3) vivid; urgency=medium

  * Rebuild to pick up pkgos upstart generation fix.
    - d/control: Bump openstack-pkg-tools to ensure upstart fix inclusion.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Jan 2015 16:26:11 +0000

keystone (1:2015.1~b1-0ubuntu2) vivid; urgency=medium

  * Systemd enablement:
    - d/control: Add BD's on openstack-pkg-tools, dh-systemd.
    - d/rules: Enable use of dh-systemd and templated init configuration
      generation.
    - d/keystone.init.in: Cherry pick template configuration from
      Debian package (thanks Thomas).
    - d/keystone.upstart: Drop in preference to generated file.
  * d/control,compat: Bump debhelper compat level to 9. 

 -- James Page <james.page@ubuntu.com>  Thu, 08 Jan 2015 12:14:53 +0000

keystone (1:2015.1~b1-0ubuntu1) vivid; urgency=medium

  [ Chuck Short ]
  * d/control: Add python-oslo.serialization and
    python-oslo.concurrency as build dependencies. 
  * d/patches/skip-pysaml2.patch: Dropped no longer needed.
  * d/control: Add python-pysaml2 as a depdendency.

  [ James Page ]
  * New upstream release:
    - d/p/*: Refresh.
    - d/control: Align version requirements with upstream release.
  * d/watch: Update uversionmangle for kilo milestone versioning.
  * d/p/pep-0476.patch: Adapt unit tests to deal with more secure
    certificate chain verification introduced in Python 2.7.9.
  * d/watch: Bumped Standards-Version to 3.9.6, no changes.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Jan 2015 14:26:52 +0000

keystone (1:2014.2-0ubuntu2) utopic; urgency=medium

  * Open up for Vivid.
  * debian/control: Update bzr branch. 
  * debian/keystone.postinst: Remove exec when creating keystone databases.
    (LP: #1393474)


 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Nov 2014 14:41:58 -0600

keystone (1:2014.2-0ubuntu1) utopic; urgency=medium

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Oct 2014 15:29:56 -0400

keystone (1:2014.2~rc2-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/*: Refresh.
  * d/watch: Limit matches to versions starting with numbers.

 -- James Page <james.page@ubuntu.com>  Wed, 08 Oct 2014 15:31:07 +0100

keystone (1:2014.2~rc1-0ubuntu1) utopic; urgency=medium

  * New upstream release candidate:
    - d/p/bug-{1371620,1367354}.patch: Dropped, included upstream.
    - d/p/*: Refreshed.
    - d/p/skip-pysaml2.patch: Updated to include import of controllers.
  * d/rules: Switch to running testr directly.

 -- James Page <james.page@ubuntu.com>  Tue, 30 Sep 2014 14:47:10 +0100

keystone (1:2014.2~b3-0ubuntu2) utopic; urgency=medium

  * Start failing package builds on unit test failures again:
    - d/rules: Fail build on any test failures.
    - d/p/skip-pysaml2.patch: Skip federation tests for now as pysaml2 is
      not yet in Ubuntu main and federation is only a contrib module.
    - d/p/bug-1371620.patch: Cherry pick fix from upstream VCS for db locking
      issues with sqlite during package install (LP: #1371620).
    - d/p/bug-1367354.patch: Cherry pick fix from upstream VCS to ensure that
      downgrade tests on sqlite complete successfully (LP: #1367354).
    - d/control: Add missing python-ldappool to BD's.
  * d/control: Align version requirements for pycadf and six with upstream.
  * d/p/series: Re-enable disabled add-version-info.patch.

 -- James Page <james.page@ubuntu.com>  Mon, 29 Sep 2014 15:34:45 +0100

keystone (1:2014.2~b3-0ubuntu1) utopic; urgency=medium

  * New upstream release.
  * debian/control: 
    - Dropped python-netifaces, python-pam, python-pecan, python-wsme,
      python-crypto, python-mox
    - Added python-oslo.utils python-keystonemiddleware as build dependency and
      run-time dependency.
    - Added python-fixtures, python-testscenarios, python-stevedore, python-testtool,
      python-ldappool,
    - Bumped versioned dependency for python-dogpile.cache, python-keystoneclient,
      python-oslo.config, python-requests, python-sqlachemy, python-webob,
      python-pbr, python-testtools,
    - Added versioned dependencies for python-eventlet, python-greenlet,
      python-netaddr, pytyhon-pastedeploy, python-routes, python-six,
      python-migrate, python-oslo.db, python-oslo.messaging,
      python-babel, python-oauthlib, python-jsonschema,
      python-pycadf
   * debian/rules: Temporarily disable testsuite.

 -- Chuck Short <zulcss@ubuntu.com>  Sun, 07 Sep 2014 21:17:06 -0400

keystone (1:2014.2~b2-0ubuntu1) utopic; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.
  * debian/patches/sql_connection.patch: Refreshed
  * debian/control: Add python-oslo.db
  * debian/control: Add python-posixipc
  * debian/control: Add python-oslo.18n
  * debian/rules: Use fail-missing instead of fix-missing.

  [ Gauvain Pocentek ]
  * debian/patches/default-log-dir.patch: define a default log directory to
    actually get logging to work (LP: #1304789).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Jul 2014 08:55:09 -0400

keystone (1:2014.2~b1-0ubuntu1) trusty; urgency=medium

  * New upstream release.
  * debian/control: Open up juno release
  * debian/patches/add-version-info.patch: Temporarily disable.
  * debian/control: Add pep8 as a dependency.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jun 2014 11:45:47 -0400

keystone (1:2014.1-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1298959).

 -- James Page <james.page@ubuntu.com>  Thu, 17 Apr 2014 10:18:51 +0100

keystone (1:2014.1~rc2-0ubuntu1) trusty; urgency=medium

  [ Chuck Short ]
  * debian/control: Add python-oslotest as a build dependency. 

  [ Corey Bryant ]
  * New upstream release. (LP: #1298959)

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 08 Apr 2014 08:36:51 -0400

keystone (1:2014.1~rc1-0ubuntu1) trusty; urgency=medium

  [ James Page ]
  * d/p/*: Refreshed
  * d/p/revoke-api.patch: Dropped, not needed for master branch.
  * d/control: Add python-kombu and python-lockfile to BD's and dependencies
    for python-keystone (LP: #1292478). 

  [ Chuck Short ]
  * New upstream release. (LP: #1298959)
  * d/p/ubuntu-oslo.sphinx.patch: Dropped no longer needed.
  * debian/control: Use python-oslosphinx.
  * d/patches/add-version-info.patch: Re-enabled.
  * d/keystone.logrotate: Use copytruncate instead of restart. (LP: #1297705)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 28 Mar 2014 07:38:36 -0400

keystone (1:2014.1~b3-0ubuntu3) trusty; urgency=medium

  * d/p/revoke-api.patch: Add upstream patch to resolve critical issue with
    token revocation (LP: #1289935).
  * d/keystone.postinst: Ensure db_sync is only run when the default sqlite
    connection is configured (LP: #1290423).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Mar 2014 23:20:05 -0500

keystone (1:2014.1~b3-0ubuntu2) trusty; urgency=medium

  * Make test execution more verbose to avoid timeouts on buildds:
    - d/rules: Use run_tests.sh wrapper to execute tests.
    - d/control: Add BD on subunit.
  * d/*: Wrap and sort. 

 -- James Page <james.page@ubuntu.com>  Thu, 06 Mar 2014 21:37:04 +0000

keystone (1:2014.1~b3-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * d/patches/ubuntu-oslo.sphinx.patch: Override oslosphinx namesapce.
  * d/control: Add python-pycadf as a build-dependency.
  * d/control: Add python-oslo.messaging as a build-dependency.
  * d/control: Add python-jsonschema as a build-dependency.
  * d/control: Add python-pymongo as a build-dependency.
  * d/patches/add-version-info.patch: Temporarily disable.

  [ James Page ]
  * New upstream milestone release.
  * d/patches/*: Refreshed.

 -- James Page <james.page@ubuntu.com>  Thu, 06 Mar 2014 18:09:12 +0000

keystone (1:2014.1~b2-0ubuntu1) trusty; urgency=low

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.
  * debian/patches/sql-connection.patch: Refreshed
  * debian/patches/debian/patches/disable-oauth2.patch: Refreshed
  * debian/control:
    - Add python-pecan, python-crypto,
      python-mock, python-oauthlib, and python-wsme as dependencies.
    - Remove suggestion for python-oauth2.
  * debian/rules: Use a clean keystone.conf while running
    the tests.
  * debian/patches/disable-oauth2.patch: Dropped no longer needed.
    (LP: #1240382)
  * debian/keystone.conf: Removed

  [ Yolanda Robla ]
  * debian/patches/add-version-info.patch: Add platform to identify
    what the server is running.
  * debian/control: Bump python-keystoneclient version.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 23 Jan 2014 12:32:11 -0500

keystone (1:2014.1~b1-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * debian/control:
    - open icehouse release.
    - Add python-six as a build dependency.
    - Drop python-nose as a build dependency.
  * debian/rules:
    - Use sphinx-build to build docs and man
      pages.
    - Call testrepository directly.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.
  * debian/patches/disable-oauth2.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Dec 2013 14:30:11 -0500

keystone (1:2013.2-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1236462).

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 17 Oct 2013 10:22:54 -0400

keystone (1:2013.2~rc4-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1240592).

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 16 Oct 2013 12:09:40 -0400

keystone (1:2013.2~rc3-0ubuntu1) saucy; urgency=low

  * New upstream release candidate (LP: #1240254).

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2013 09:27:09 +0100

keystone (1:2013.2~rc2-0ubuntu1) saucy; urgency=low

  * New upstream release candidate. (LP: #1239156)

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 15 Oct 2013 09:39:53 -0400

keystone (1:2013.2~rc1-0ubuntu1) saucy; urgency=low

  * New upstream version.
  * debian/control:
    - Add versioned dependencies to python-pbr, python-dogpile.cache,
      python-oslo.config, python-webob, python-pam, python-sqlalchemy,
      python-testtools, and python-requests.
    - Added python-greenlet, python-requests, python-netifaces,
      and python-setuptools as a build dependency.
    - Dropped python-swift, python-unittest, python-d2to1,
      as a build dependency.
    - Bumped versioned depends for python-keystoneclient.
  * debian/patches/disable-oauth2.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 02 Oct 2013 11:46:14 -0400

keystone (1:2013.2~b3-0ubuntu2) saucy; urgency=low

  * debian/control: Droppped python-oauth2 as a build dependency, add
    a suggests to python-oauth2 for python-keystone.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed. 
  * debian/patches/disable-oauth2.patch: Temporarily disable oauth2
    since there is open CVE with python-oauth2.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 12 Sep 2013 16:17:30 -0400

keystone (1:2013.2~b3-0ubuntu1) saucy; urgency=low

  [ Chuck Short ]
  * New upstream release. 
  * debian/control: Add python-oslo.sphinx as a build dependency.
  * debian/control: Add python-babel as a build dependency.
  * debian/control: Add python-dogpile.cache as a build dependency.
  * debian/control: Add python-oauth2 as a build dependency. 
  * debian/patches/sql_connection.patch: Refreshed

  [ James Page ]
  * d/patches/fix-ubuntu-tests.patch: Fixup for new tests location.
  * d/patches/ubuntu-test-overrides.patch: Override testing defaults
    using patches.
  * d/rules: Rework for patching approach for test_overrides.conf.
  * d/tests/test_overrides.conf: Dropped - no longer required.
  * d/control: Add python-netaddr to BD's.

  [ Adam Gandelman ]
  * debian/control: Add python-testtools to Build-Depends.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Sep 2013 18:02:41 -0400

keystone (1:2013.2~b2-0ubuntu2) saucy; urgency=low

  * d/test/keystone-daemon: Switch to using restart instead of start as
    this will do the right thing whatever start the keystone service is
    in.

 -- James Page <james.page@ubuntu.com>  Wed, 24 Jul 2013 11:56:28 +0100

keystone (1:2013.2~b2-0ubuntu1) saucy; urgency=low

  [ Adam Gandelman ]
  * debian/patches/*: Refresh
  * debian/keystone.install: Install keystone-paste.ini to /etc/keystone.
    (LP: #1190038)

  [ Yolanda Robla ]
  * debian/tests: added autopkgtests.

  [ Chuck Short ]
  * New upstream release.

  [ James Page ]
  * d/control: Update VCS fields for new branch locations.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 19 Jul 2013 09:25:36 -0400

keystone (1:2013.2~b1-0ubuntu1) saucy; urgency=low

  * New upstream version.
  * debian/patches/fix-ubuntu-tests.patch: Refreshed.
  * debian/control: Add python-pbr and python-d2to1.
  * debian/patches/sql_connection.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 31 May 2013 08:03:03 -0500

keystone (1:2013.1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/patches/sql_connection.patch: Ensure SQL by default for all
    backends. (LP: #1158563)
  * debian/rules:  Reinstate use of test_overrides.conf to target upstream
    defaults when running unit tests.

  [ Chuck Short ]
  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 05 Apr 2013 22:32:17 -0500

keystone (1:2013.1~rc3-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 02 Apr 2013 08:50:49 -0500

keystone (1:2013.1~rc2-0ubuntu1) raring; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 28 Mar 2013 10:24:18 -0500

keystone (1:2013.1~rc1-0ubuntu1) raring; urgency=low

  [ James Page ]
  * d/watch: Update uversionmangle to deal with upstream versioning
    changes, remove tarballs.openstack.org.
  * d/rules: Stop using packaging specific test overrides when
    running unit tests.

  [ Chuck Short ]
  * New upstream release.
  * debian/control: Clean-up build-depends
    - Dropped pylint not needed.
    - Dropped python-all-dev and python-support not needed.
    - Renamed python-oslo-config to python-oslo.config.
    - Dropped python-prettytable no longer needed.
    - Dropped pyhthon-novaclient no longer needed.
    - Dropped pep8 no longer needed.
   * debian/control:Clean-up depends:
    - Dropped python-prettytable no longer needed.
   * Update standards

  [ Adam Gandelman ]
  * d/control: Bump python-keystoneclient version requirement to >= 1:0.2.3.
  * debian/keystone.postinst: Run pki_setup during configure to intitialize
    PKI infrastructure for signed tokens (now enabled by default).

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Mar 2013 08:16:09 -0500

keystone (2013.1.g3-0ubuntu1) raring; urgency=low

  [ Chuck Short ]
  * New upstream version.
  * debian/patches/sql_connection.patch: Rediffed 
  * debian/control: Add python-oslo-config.

  [ James Page ]
  * Refreshed patches.
  * d/keystone.template,po: Removed debconf detritus from packaging.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Feb 2013 08:28:35 -0600

keystone (2013.1~g2-0ubuntu1) raring; urgency=low

  [ James Page ]
  * Re-enable gating of package build based on successful unit testing:
    - d/tests/test_overrides.conf: Fixup test configuration to use
      correct certificate locations.
    - d/p/fix-ubuntu-tests.patch: Skip tests for older versions of 
      keystoneclient based on checkouts of upstream git repo.
    - d/rules: Re-enable package build failure on test failure.
  * d/control: Bump dependencies on python-keystoneclient to >= 1:0.2.
  * d/control: Update Vcs-Bzr location to point to correct branch.
  * d/control,d/po/*: Setup package templates for translation.
  * d/man/*: Corrected spellings in man pages.
  * d/keystone.upstart: Tweak 'stop on' to be triggered on all
    appropriate runlevel transitions, use start-stop-daemon to startup
    keystone daemon.

  [ Adam Gandelman ]
  * debian/keystone.manpages:  Install sphinx-generated manpages instead
    of our own outdated and unneeded versions. (LP: #1082050)

  [ Chuck Short ]
  * New upstream release.
  * Remove incomplete/broken dbconfig-common scripts.

  [ Yolanda Robla Mota ]
  * d/control: Added python-novaclient dependency
  * d/patches: refreshed patches

 -- Yolanda Robla <yolanda.robla@canonical.com>  Tue, 22 Jan 2013 12:33:00 +0100

keystone (2013.1~g1-0ubuntu1) raring; urgency=low

  [ Adam Gandelman ]
  * debian/tests/test_overrides.conf: Update for Grizzly test suite.
  * debian/control: Drop python-nova.

  [ Chuck Short ]
  * New upstream release.
  * debian/rules: FTBFS if there is a missing binary.
  * debian/rules: Temporarily pass the tests since you need to run
    keystone in order to run the tests.
  * debian/patches/*: Refrehsed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 23 Nov 2012 09:01:53 -0600

keystone (2013.1~g1~20121101.2629-0ubuntu1) raring; urgency=low

  * New upstream release.
  * debian/control: Ensure keystoneclient is upgraded with keystone,
    require python-keystoneclient >= 1:0.1.3. (LP: #1073273)

 -- Adam Gandelman <adamg@canonical.com>  Wed, 31 Oct 2012 13:43:11 +0100

keystone (2012.2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Sep 2012 12:22:07 -0500

keystone (2012.2~rc2-0ubuntu1) quantal; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 26 Sep 2012 13:15:29 -0500

keystone (2012.2~rc1-0ubuntu1) quantal; urgency=low

  * New upstream version.
  * debian/keystone.logrotate: Compress log file when rotated. (LP: #1049309) 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 17 Sep 2012 09:15:51 -0500

keystone (2012.2~rc1~20120906.2517-0ubuntu2) quantal; urgency=low

  [ Adam Gandelman ]
  * Refreshed patches.

  [ Soren Hansen ]
  * Update debian/watch to account for symbolically named tarballs and
    use newer URL.
  * Fix Launchpad URLs in debian/watch.

  [ Logan Rosen ]
  * Fix control file to suggest python-memcache instead of python-memcached
    (LP: #998991).

  [ Chuck Short ]
  * New upstream version.
  * Dont FTBFS if the testsuite fails.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 07 Sep 2012 13:04:01 -0500

keystone (2012.2~f3-0ubuntu1) quantal; urgency=low

  [ Adam Gandelman ]
  * debian/{keystone.conf, rules, keytone.install}: Install patched
    keystone.conf.sample configured for SQL backends to /etc/keystone,
    no longer maintain our own version in packaging. (LP: #1031012)
  * debian/patches/sql_connection.patch: Refreshed against current
    keystone.conf.sample.
  * debian/rules:  Use debian/tests as HOME to avoid test suite FTFBS.

  [ Sam Morrison ]
  * debian/keystone.logrotate: Sent output of keystone restart in logrotate
    to /dev/null. (LP: #1029766)

  [Chuck Short]
  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 16 Aug 2012 13:59:29 -0500

keystone (2012.2~f2-0ubuntu1) quantal; urgency=low

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 06 Jul 2012 10:37:01 -0400

keystone (2012.2~f2~20120622.2353-0ubuntu1) quantal; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 22 Jun 2012 12:27:50 -0400

keystone (2012.2~f2~20120529.2315-0ubuntu2) quantal; urgency=low

  * debian/keystone.conf: Add a functional default server config.
  * debian/keystone.install: Fix installation locations, install
    our default config alongside sample. 

 -- Adam Gandelman <adamg@canonical.com>  Wed, 06 Jun 2012 10:00:14 -0700

keystone (2012.2~f2~20120529.2315-0ubuntu1) quantal; urgency=low

  * New usptream release. 
  * debian/patches/sql_connection.patch: Refreshed

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 01 Jun 2012 11:01:01 -0400

keystone (2012.2~f1-0ubuntu1) quantal; urgency=low

  * New ustpream release.
  * Prepare for quantal:
    - debian/patches/fix-ubuntu-tests.patch: Refreshed.
    - debian/patches/sql_connection.patch: Refreshed.
  * debian/keystone.install: Install the right configuration files.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 24 May 2012 14:04:20 -0400

keystone (2012.1-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/man/keystone.8: Mention that there is a lack of ssl support.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 05 Apr 2012 10:42:24 -0400

keystone (2012.1~rc2-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream version.
  * debian/keystone.install: install tools/{convert_to_sqlite.sh,
    sample_data.sh}

  [Adam Gandelman]
  * debian/patches/fix-ubuntu-tests.patch: Also skip keystoneclient
    essex 3 tests, add patch description
  * debian/keystone.logrotate: Add logrotate config (LP: #962426)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 04 Apr 2012 07:49:15 -0400

keystone (2012.1~rc1-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New usptream version.
  * debian/control: Add python-iso8601 as a depends.
  * debian/patches/fix-ubuntu-tests.patch: Disable git checkout on some
    of the tests.
  * dropped swift as a depends.

  [Adam Gandelman]
  * debian/patches/sql_connection.patch: Refresh
  * debian/logging.conf: Update and enable file logging (LP: #959610)
  * debian/keystone.prerm: Only attempt to cleanup database if it was
    configured during installation. (LP: #948719)
  * debian/rules: Fix doc builds + clean (LP: #956019)
  * debian/control: Add python-{nova, swift} as Build-Depends, required
    for doc building
  * debian/rules, debian/tests/test_overrides.conf: Setup a proper environment
    for unit testing

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 26 Mar 2012 13:41:45 -0400

keystone (2012.1~rc1~20120316.2145-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Adam Gandelman <adamg@canonical.com>  Fri, 16 Mar 2012 11:19:40 -0700

keystone (2012.1~rc1~20120308.2103-0ubuntu1) precise; urgency=low

  [ Adam Gandleman ]
  * debian/patches/keystone-auth.patch: Drop, applied upstream at commit
    29337e66.
  * debian/patches/sql_connection.patch: Refresh

  [ Chuck Short ]
  * New upstream release.
  * debian/patches/sql_connection.patch: Refreshed.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Mar 2012 12:26:12 -0500

keystone (2012.1~e4-0ubuntu2) precise; urgency=low

  * debian/keystone.preinst: Create group before creating user (LP: #945299) 

 -- Adam Gandelman <adamg@canonical.com>  Fri, 02 Mar 2012 17:38:00 -0800

keystone (2012.1~e4-0ubuntu1) precise; urgency=low

  [ Chuck Short ]
  * New upstream release. 
  * debian/keystone.upstart: Update for ksl.
  * debian/control: Add python-keystoneclient as dependency.
  * debian/control: Fix typo.
  * debian/keystone.postinst: Update due to redux branch change.
  * debian/keystone.templates, debian/keystone.preinst, debian/kestone.postinst,
    debian/keystone.config, debian/README.Debian: Make keystone installation 
    less interactive. (LP: #931236)
  * debian/keystone.postinst: Don't create users or run a database sync
    since its not working correctly.
  * debian/control: Dropped python-coverage and python-nosexcover.
  * debian/changelog: Fixed changelog.
  * debian/keystone.templates: Set it to false.
  * debian/control: Fix lintian warnings.
  * debian/patches/keystone-auth.patch: Backport auth token improvements,
    this can be dropped in the next snapshot.
  * debian/control: Add python-memcache as a build dependency.
  * debian/keystone-doc.docs: Fix keystone doc builds.
  * debian/rules: Temporarily disable doc install.
  * debian/control: Add python-ldap and python-lxml.
  
  [ Joseph Heck ]
  * debian/control: Dropped python-cli.

  [ Adam Gandelman ]
  * debian/control: Alphabetize python depends 
  * debian/control: Add python-{eventlet, greenlet, passlib} to keystone
    depends
  * debian/control: Add python-lxml to python-keystone Depends
  * Drop 0001-Fix-keystone-all-failure-to-start.patch
  * debian/logging.conf: Temporarily use old logging.conf until upstream
    ships something usable
  * debain/patches/sql_connection.patch: Switch backends to use SQL backends
  * debian/keystone.preinst: Create directories
  * debian/keystone.postinst: Remove create_users stuff, add call to 'db_sync'
    on install

  [ Dave Walker ]
  * debian/patches/sql_connection.patch: Refreshed and reintroduced DEP-3
    headers.
  * debian/control: Added Vcs-Bzr field.

  [ Andrew Glen-Young ]
  * debian/keystone.preinst: Set the primary group to keystone. (LP: #941905)

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Mar 2012 09:55:24 -0500

keystone (2012.1~e4~20120203.1574-0ubuntu2) precise; urgency=low

  [Chuck Short]
  * debian/control: Moved python-prettytable and added 
    python-dateutil as a build dependency.

  [Julien Danjou]
  * Add dbconfig support. (LP: #930139)
  * Update db sync to sync_database in postinst. (LP: #930444)

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 13 Feb 2012 09:14:12 -0500

keystone (2012.1~e4~20120203.1574-0ubuntu1) precise; urgency=low

  * New upstream release. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 03 Feb 2012 16:35:51 -0500

keystone (2012.1~e3-0ubuntu1) UNRELEASED; urgency=low

  * Fix bad manpage formatting causing missing spaces (LP: #907206)
  * Adding python-prettytable to dependency.  (LP: #922954) 

 -- Daniel Polehn <dpolehn@gmail.com>  Sat, 28 Jan 2012 20:17:33 -0800

keystone (2012.1~e3-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Dropped debian/patches/temp_fix_keystone_manage.patch: No longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 26 Jan 2012 10:53:46 -0500

keystone (2012.1~e3~20120113.1511-0ubuntu1) precise; urgency=low

  [Chuck Short]
  * New upstream version.
  * debian/control: Add python-migrate as a build depenedency. 
    (LP: #909941)
  * debian/keystone.dirs: Add cache directory for PTYHON_EGGS
  * debian/control: Add ssl-cert for ssl certificates.
  * debian/patches/keystone-ssl.patch: Point ssl config to the 
    snakeoil certificates.
  * debian/control: Add python-nose as a build dependency.

  [Adam Gandleman]
  * debian/python-keystone.postinst: Also install *.egg-info (LP: #907518) 
  * debian/patches/temp_fix_keyston_manage.patch: Allow keystone to work 
    with current snapshot.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 13 Jan 2012 10:09:46 +0100

keystone (2012.1~e2-0ubuntu1) precise; urgency=low

  * New upstream version.
  * debian/control: Clean up dependencies. 
  * debian/pydist-overrides: Dont install python-coverage.
  * debian/python-keystone.install: Don't ship examples in python
    packaging. (Debian Bug: #649907)
  * debian/man/*: Add manpages.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 16 Dec 2011 15:38:05 -0500


keystone (2012.1~e2~20111209.1405-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Dec 2011 16:27:35 -0500

keystone (2012.1~e2~20111202.1379-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control:
    + Fix dependencies. 
  * keystone.postinst:
    + Fix bashism.
    + Remove keystone-manage db sync.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2011 09:40:35 -0500

keystone (2012.1~e2~20111125.1340-0ubuntu1) precise; urgency=low

  * New upstream release. 
  * debian/control: Dropped dependency on python-pysqlite.
  * debian/rules: Dont fail when building docs.
  * debian/rules: Fix doc build.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 25 Nov 2011 11:19:34 -0500

keystone (2012.1~e2~20111110.1301-0ubuntu2) precise; urgency=low

  * debian/patches/ftbfs_guard_main_call.patch:
    - Fix FTBFS by guarding a main() call to only run when the module is
      run as __main__, not when imported during documentation generation.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 21 Nov 2011 16:43:45 -0500

keystone (2012.1~e2~20111118.1330-0ubuntu1) precise; urgency=low

  * New upstream release.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 18 Nov 2011 13:50:20 -0500

keystone (2012.1~e2~20111110.1301-0ubuntu1) precise; urgency=low

  * New upstream release.
  * debian/control: 
    + Added pep8 for tests.
    + Updated run time dependencies.
  * debian/keystone.postinst:
    + Add keystone group.
    + Setup permissions a bit better.
    + Setup keystone db.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 11 Nov 2011 11:51:27 -0500

keystone (1.0~d4~20111020.1244-0ubuntu1) precise; urgency=low

  * New upstream release.
  * Dropped:
    + add-missing-extension-files.patch
    + foreign_key.patch
  * dh_python2 transition.
  * Update dependencies.
  * Dont fail if tests fail.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2011 11:06:53 -0400

keystone (1.0~d4~20110909.1108-0ubuntu4) precise; urgency=low

  * debian/patches/sql_connection.patch: Correct keystone.db path, 
    as identified by Atul Jha. (LP: #878282) 

 -- Dave Walker (Daviey) <DaveWalker@ubuntu.com>  Fri, 21 Oct 2011 13:17:51 +0100

keystone (1.0~d4~20110909.1108-0ubuntu3) oneiric; urgency=low

  [Dustin Kirkland]
  * debian/copyright:
    - fix copyright file, replace s/glance/keystone/

  [Juan Negron]
  * Added debian/patches/foreign_key.patch:  Fixed bug which attempted to to
    obtain a service_id by passing an Integer rather than a String to the
    Column function in models.py. (LP: #861682)

  [Brian Thomason]
  * Removed "|| true" from test execution in debian/rules as it was masking a
    failure.  After investigating the failure further, it was found that two
    files were missing from the contrib/extensions/service/raxkey dir that were
    a part of trunk at the time. (LP: #861813)
    - added keystone/contrib/extensions/service/raxkey/extension.xml
    - added keystone/contrib/extensions/service/raxkey/extension.json

 -- Brian Thomason <brian.thomason@canonical.com>  Wed, 28 Sep 2011 15:30:19 -0400

keystone (1.0~d4~20110909.1108-0ubuntu2) oneiric; urgency=low

  [Chuck Short]
  * Install configuration files. 
  * debian/patches/sql_connection.patch: 
    Specify a path for the sqlite database.
  * debian/rules: Add get-origs-source.

  [Juan L. Negron]
  * debian/control, debian/keystone.install:
    + Update dependencies for python-keystone.
    + Reanamed logging config file to match upstream.
      (LP: #860778)

  [Monty Taylor]
  * Added a conditional on dh_python2 so that the package works on lucid.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 27 Sep 2011 15:36:35 -0400

keystone (1.0~d4~20110909.1108-0ubuntu1) UNRELEASED; urgency=low

  * debian/rules:
    + Add get-orig-source. 
  * debian/keystone.install:
    + Ship configuration files.
  + debian/copyright:
    + Change glance to keystone.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2011 10:02:39 -0400

keystone (1.0~d4~20110909.1108-0ubuntu2) oneiric; urgency=low

  * Added a conditional on dh_python2 so that the package works on lucid.
  * Added python-passlib build-depend. (LP: #862576)

 -- Monty Taylor <mordred@inaugust.com>  Thu, 29 Sep 2011 11:56:36 -0700

keystone (1.0~d4~20110909.1108-0ubuntu1) oneiric; urgency=low

  [Chuck Short]
  * New upstream release.
  * debian/control:
    + Bump standards to 3.9.2.
    + Fix lintian warnings.
    + Update maintainer.
  * debian/rules: Dont fail to build if tests fail.
  
  [Dan Prince]
  * Fix debian/rules file so it works with nodoc.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 09 Sep 2011 16:25:30 -0400

keystone (1.0~d4~20110823.1078-0ubuntu0) UNRELEASED; urgency=low

  * Add python-mox as a build depend.

 -- Monty Taylor <mordred@inaugust.com>  Fri, 09 Sep 2011 11:00:27 -0700

keystone (1.0~d4~20110819.1045-0ubuntu1) UNRELEASED; urgency=low

  * New upstream release.
  * Removed fix_tests patch (don't need it any more)
  * Fixed debian/watch file.
  * Use root level run_tests now.
  * We need a special version of webob.
  * Added adduser depend.
  * Added python-sphinx build depend.

 -- Monty Taylor <mordred@inaugust.com>  Wed, 24 Aug 2011 09:05:05 -0700

keystone (1.0~20110713.1-0ubuntu1~ppa1) UNRELEASED; urgency=low

  * Add keystone-docs package.

 -- Soren Hansen <soren@ubuntu.com>  Thu, 14 Jul 2011 10:47:13 +0200

keystone (1.0~20110711.1-0ubuntu1~ppa1) oneiric; urgency=low

  * Initial upload.

 -- Soren Hansen <soren@ubuntu.com>  Wed, 25 May 2011 15:57:15 +0200

